import { RoughAnnotation, RoughAnnotationConfig } from 'rough-notation/lib/model';
import { Observable } from 'rxjs';
export declare class RoughNotationService {
    private defaultConfig;
    private visibilitySubject;
    instance: RoughAnnotation;
    inputConfig: Partial<RoughAnnotationConfig>;
    visibilityState$: Observable<boolean>;
    /**
     * Generate config object from defaults and input overrides
     */
    get config(): RoughAnnotationConfig;
    constructor(defaultConfig: RoughAnnotationConfig);
    instantiate(element: HTMLElement): RoughAnnotation;
    destroy(): void;
    toggleVisibility(): void;
}
